# spec file for package abctab2ps
#
BuildRequires:  gcc-c++
Summary:      A program to output abc music and tabulature as Postscript
Summary(de):  Ein Programm um ABC Musik und Tabulatur als Postscript auszugeben
Name:         abctab2ps
Version:      1.8.11
Release:      %mkrel 2
Source:       %{name}-%{version}.tar.xz
Group:        Sound
License:      GPL
URL:          http://www.lautengesellschaft.de/cdmm/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
abctab2ps is a music and tablature typesetting program which translates an input file 
in the abc language into postscript. It is based on Michael Methfessel's program abc2ps. 
While abc2ps can only typeset music, abctab2ps is an extension by Christoph Dalitz that 
can also handle lute tablature.

%prep
%setup -q

%build
cd src/
sed -i s/'usr\/local'/'usr'/ Makefile
sed -i s/\$\(PREFIX\)/\${DESTDIR}\$\(PREFIX\)/ Makefile
sed -i s/'\-Wimplicit'/'\-Wno-write-strings'/ Makefile

%make PREFIX=%{buildroot}/usr

%install
rm -rf %{buildroot}
cd src/

mkdir -p %{buildroot}/usr/bin
%make PREFIX=%{buildroot}/usr \
      MANDIR=%{buildroot}/usr/share/man/man1 \
      install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%doc doc/faq.html doc/*.html doc/manpages/*.html
%doc doc/userguide/html doc/examples
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Wed Dec 10 2014 bb <bb> 1.8.11-2pclos2014
- fix rpmgroup
- convert to tar.xz

* Sat Nov 22 2014 gseaman <galen.seaman at comcast.net> 1.8.11-1gseaman2014
- first build for PCLinuxOS
